
/**
 * Binäre Suche nach Vorlage des Youtube-Erklärvideos
 * 
 * @author jacqueline anthes
 */
public class BinSearch
{
    /**
     * Standardkonstruktor
     */
    public BinSearch(){
    }
    
    /**
     * Binäre Suche: liefert true, wenn Key im 
     * Tragen Sie die Werte des Arrays in geschweiften Klammern ein. Bsp: {2, 15, 29, 33, 37, 60}
     * Geben Sie den Wert "0" für links ein,
     * Geben Sie die Länge des Arrays minus 1 für rechts ein
     * Geben Sie die Zahl ein, nach der gesucht werden soll.
     */
    public boolean binaereSuche(int[] x, int links, int rechts, int pKey)
    {        
        if(links > rechts){
            return false;
        }
        
        int mitte = (int) ((rechts + links)/2);
        
        if (x[mitte] == pKey){
            return true;
        }
        
        else if (pKey < x[mitte]){
            return binaereSuche(x, links, mitte-1, pKey);
        }
        
        else{
            return binaereSuche(x, mitte+1, rechts, pKey);
        }        
    }
}
